                       ****** Instructions ******
 
Principles of Touch Typing
 
     This program is designed to teach how to type quickly without looking at
the keyboard, a skill called "touch typing."  Each finger is assigned a home
key as well as several nearby keys.  On a right-handed person, the right thumb
is used for the space bar while the left thumb does nothing. When typing a
shifted key, the shift key is pressed by the hand opposite from the one
pressing the letter.  For example, a capital letter A is made by first using
the little finger of the right hand to press the right shift key and then using
the little finger of the left hand to press the A key.
     Using good posture and sitting with the home row keys centered with your
body make it easier for your fingers to naturally rest above the home row keys.
On high keyboards, a piece of smooth wood placed against the front of the
keyboard can be a useful wrist rest.
     The key that causes the most difficulty is the backspace key because it is
so far removed from the home keys. Nevertheless, it is important to learn to
use the backspace key and bring your right hand back to its home position
WITHOUT LOOKING AT YOUR HANDS. (A foot pedal DEL key would be nice!)
 
RETURN Key and Space Bar Usage
 
     The RETURN key is not tested since the advent of word processors has made
it a rarely used key.  During the tests, you should use a space at the end of
a line even though the RETURN key will also work.
     The program will not allow the typist to move on to the next word until
the current word is perfect.  A jingling sound indicates that the space bar has
been pressed before the current word is correctly entered.  The backspace key
must be used to fix errors.
 
QWERTY and Dvorak keyboards
 
     This program is arranged to let you choose either the usual arrangement of
the keys (QWERTY keyboard) or the Dvorak arrangement.  The QWERTY keyboard was
designed to SLOW typists so that they would not jam mechanical typewriters.
Although computers have eliminated that problem, the QWERTY tradition is strong
and most schools still teach its arrangement.
     A much more efficient arrangement is that developed by August Dvorak in
1932.  In the Dvorak keyboard, the vowels and most common consonants are on the
home row and the other letters are arranged to minimize errors and maximize
speed when typing the English language.  The fingers of the typist move 12
times less distance when using the Dvorak keyboard!
     This typing practice program converts the computer keyboard to Dvorak by
simple substitution. It can be easily modified to emulate other keyboards such
as those in foreign languages, but the keyboard redefinition ceases when the
program is stopped.  Hardware and Software methods for modifying the keyboard
are still necessary outside of this typing program.  For IBM PC computers a
substitute Dvorak keyboard can be purchased from Keytronics, Inc.
 
Finger Assignments  Dvorak Keyboard:
   finger       home   others
left little       a   ; ' 1
left  ring        o   q , 2
left  middle      e   j . 3
left  index       u   k p 4 x i y 5 6
right index       h   m g 8 b d f 7
right middle      t   w c 9
right ring        n   v r 0
right little      s   z l - / = ]
 
QWERTY Keyboard:
   finger       home   others
left  little      a   z q 1
left  ring        s   x w 2
left  middle      d   c e 3
left  index       f   v r 4 b g t 5 6
right index       j   m u 8 n h y 7
right middle      k   , i 9
right ring        l   . o 0
right little      :   / p + ; @ - = * ^
 
The Physiology of Typing
 
     A 50 word per minute typist is able to press the keys faster than would be
expected to be possible based on stimulus-response studies of our nervous
system. This fascinating apparent paradox is discussed in the February, 1984, 
issue of Scientific American magazine.
     As you learn touch typing, you experience several phases.  First, you must
think about each keystroke and your speed is limited to about 20 words per
minute.  As you practice more, your fingers start to operate automatically; you
simply think a letter toward your hands and the proper finger does the job.  By
about 40 words per minute, letter pairs are being processed automatically.
With still more practice frequently used longer letter combinations become
automatic. By using real words in the English language, the program guarantees
that letter combinations typical of English are learned best. At 40 or 50 wpm,
the creation of text at the keyboard becomes easier since the typing process is
almost automatic and your speed is sufficient to type your thoughts before they
are forgotten.
 
Practice Strategy
 
     Daily practice sessions of about ten or twenty 1 or 2 minute tests appear
to be more effective than one or two 10 or 20 minute tests. Uninterrupted
concentration is difficult to maintain for longer than a few minutes. Also, the
scores provide feedback to the typist who is experimenting with different
posture and speed/error combinations.  A person's gaming fever is more likely
to be activated by many short tests even though a long test is a more realistic
measure of typing speed.  Certainly, the laws of probability assure that the
best (and worst) scores will be obtained with short tests.
     Occasional graphing of the scores (f3 option) provides evidence of
improvement and allows some basis for predicting future performance.  It
appears that about 500 total minutes of practice are required to reach 35 wpm
on the home row with the Dvorak keyboard.  It is probably better to practice
each level up to a speed of better than 30 or 40 wpm before switching levels so
that you have reached the "automatic mode" with the learned keys before adding
new keys.
 
Miscellaneous Notes
 
1. When the program calculates the words per minute, it actually counts strokes
including spaces and then divides by 5.  Even though this is somewhat generous,
it is in keeping with standard typing test procedures.
 
2. The test word list named "test" was given as a sample typing test in a U.S.
government publication.  It should only be used rarely for monitoring long term
progress.  Frequent use as a practice text will make its results invalid.
 
3. More information regarding the Dvorak keyboard and its availability on other
machines can be obtained from the Dvorak International Federation, P.O. Box
128, Brandon, Vermont 05733.
 
Suggestions
 
     Since this program may be easily listed and modified, custom versions may
be made; colors may be changed, different defaults set, and new features added.
Also, special practice material may be created.  For example, social studies,
science, and language texts may be made into additional typing test materials
which are learned as they are typed. The Declaration of Independence, Bill of
Rights, and Gettysburg Address should make excellent test texts.
